"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_libraries_userUserLogin = require("../../../common/libraries/userUserLogin.js");
const pages_index_model = require("../model.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../gen/Apis.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "ShowData",
  setup(__props) {
    const userLoginStatus = common_vendor.ref(false);
    const newsData = [
      "【王三平】8栋1101，已支付10月物业费，987元",
      "【酆志明】7栋1101，已支付10月物业费，123.81元",
      "【滕志勇】8栋2101，已支付10月物业费，378元",
      "【康春芳】7栋1101，已支付10月物业费，322元",
      "【康春芳】5栋0301，已支付10月物业费，322元",
      "【沈妹】5栋1001，已支付10月停车月卡费，600元",
      "【袁小丽】5栋1201，已支付10月物业费，222.21元",
      "【雷海龙】1栋1102，已支付10月物业费，762元",
      "【黄雪松】2栋1202，已支付10月停车月卡费，600元",
      "【孟丽华】1栋0903，已支付10月物业费，882元"
    ];
    const toPage = (url) => {
      var _a;
      common_vendor.index.navigateTo({
        url: !((_a = common_libraries_userUserLogin.getUser) == null ? void 0 : _a.getLoginStatus()) ? "/pages/login" : url || ""
      });
    };
    common_vendor.onShow(async () => {
      var _a, _b;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      userLoginStatus.value = (_b = common_libraries_userUserLogin.getUser) == null ? void 0 : _b.getLoginStatus();
    });
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: common_vendor.t(userLoginStatus.value ? ((_a = common_vendor.unref(pages_index_model.useModel).userData.value) == null ? void 0 : _a.arrearage_house_num) || "0" : "-"),
        b: common_vendor.o(($event) => toPage("/BILL/outstanding_fee/index/index")),
        c: common_vendor.t(userLoginStatus.value ? ((_b = common_vendor.unref(pages_index_model.useModel).userData.value) == null ? void 0 : _b.work_order_num) || "0" : "-"),
        d: common_vendor.o(($event) => toPage("/WORKORDER/list/index")),
        e: common_vendor.p({
          type: "notification",
          color: "#0082FA",
          size: "18"
        }),
        f: common_vendor.f(newsData, (i, index, i0) => {
          return {
            a: common_vendor.t(i),
            b: `items_${index}`
          };
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-e5fbd9da"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/index/components/ShowData.vue"]]);
wx.createComponent(Component);
